

function validateInstanceLabel(label){
	var instPattern = /[a-z\-:0-9]+/g;
	if (label == label.match(instPattern)){
		return true;
	}
	return false;
}

function validateConceptLabel(label){
	var conceptPattern = /[A-Z][a-z\-0-9]+/g;
	if (label == label.match(conceptPattern)){
		return true;
	}
	return false;
}
 
function validatePackageLabel(label){
	var packagePattern = /[@]{0,1}[a-z\-]+/g;
	if (label == label.match(packagePattern)){
		return true;
	}
	return false;
}

function unqualifyName(qname){
	var pos = qname.indexOf('#');
	if (pos == -1)
		return qname;
	return qname.substring(pos + 1, qname.length);
}

function openPublishDialog(){
	
}